Subject: bug#7191: closed (Re: bug#7191: Gnulib failing to compile on Ubuntu 10.10)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Oct 2010 16:27:02 +0000

Your bug report

#7191: Gnulib failing to compile on Ubuntu 10.10

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7191: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7191
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7191: Gnulib failing to compile on Ubuntu 10.10
From: Jim Meyering <[email-masked]>
To: William Plusnick <[email-masked]>
Cc: [email-masked]
Date: Wed, 13 Oct 2010 18:29:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

William Plusnick wrote:
> It seems that just removing my local repository and cloning it again fixed the
> problem. I wonder if a local change didn't get removed correctly from an old
> local branch or something?
>
> In short, the problem seems to have been a local issue and now builds/passes the
> tests. Sorry for the false alarm.

Thanks for letting us know.
I'm closing this ticket.

Subject: Gnulib failing to compile on Ubuntu 10.10
From: William Plusnick <[email-masked]>
To: [email-masked]
Date: Mon, 11 Oct 2010 18:18:20 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

The latest version of Ubuntu 10.10 is not building the Coreutils. It appears
to fail due getopt. I ran:
$ git pull
$ make clean
$ ./bootstrap
$ ./configure
$ make

and get this error:
  CC     xstrtoimax.o
In file included from xstrtol.h:22,
                 from xstrtol.c:31,
                 from xstrtoimax.c:6:
./getopt.h:196: error: redefinition of 'struct option'
./getopt.h:242: error: conflicting types for 'getopt_long'
/usr/include/getopt.h:175: note: previous declaration of 'getopt_long' was
here
./getopt.h:246: error: conflicting types for 'getopt_long_only'
/usr/include/getopt.h:179: note: previous declaration of 'getopt_long_only'
was here
make[4]: *** [xstrtoimax.o] Error 1

I can try to solve it, but I'm a pretty bad programmer (maybe someday that
will change), so most likely someone else will solve it before I do.

William

P.S. Here is my gcc version:
$ gcc --version
gcc (Ubuntu/Linaro 4.4.4-14ubuntu5) 4.4.5